- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::Parameter Class Reference

`#include <CommandDispatcherEntry.h>`

Inheritance diagram for Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::Parameter:

[legend]
List of all members.

## Public Member Functions
virtual bool | isLiteral () const=0
virtual const Mers::Utils::Lang::String & | getLiteral () const=0
virtual unsigned int | getReference () const=0
virtual void | print (std::ostream &out) const
virtual void | print (std::ostream &out, const char *refVarName, const char *litPrefix, const char *litPostfix) const
virtual Parameter * | duplicate () const
bool | operator== (Parameter const &other) const
## Classes
class | PrintAll

## Detailed Description

This base class provides accessors for determining whether the parameter is a reference or a literal parameter.

Definition at line 273 of file CommandDispatcherEntry.h.

## Member Function Documentation

virtual bool Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::Parameter::isLiteral | ( |  | ) | const`[pure virtual]`

Returns true if this is a literal. False indicates that this is a reference object.

Implemented in Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::ParameterLiteral, and Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::ParameterReference.

Referenced by operator==(), and print().

virtual const Mers::Utils::Lang::String& Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::Parameter::getLiteral | ( |  | ) | const`[pure virtual]`

Returns the parameter's string literal.

Implemented in Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::ParameterLiteral, and Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::ParameterReference.

Referenced by operator==(), and print().

virtual unsigned int Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::Parameter::getReference | ( |  | ) | const`[pure virtual]`

Returns the index of the referenced parameter for this parameter.

Implemented in Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::ParameterLiteral, and Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::ParameterReference.

Referenced by operator==(), and print().

void CommandDispatcherEntry::Parameter::print | ( | std::ostream & | out | ) | const`[virtual]`

called to print this object to the specified ostream. Derived classes must define this.

Parameters:

  | out | the ostream to print this object information to

Definition at line 287 of file CommandDispatcherEntry.cpp.

void CommandDispatcherEntry::Parameter::print | ( | std::ostream & | out,
|  | const char * | refVarName,
|  | const char * | litPrefix,
|  | const char * | litPostfix |
| ) |  |  | const`[virtual]`

Prints the parameter to the stream, using the specified reference variable as needed for naming the referenced variable. The strings are quoted with the quote prefix and quote postfix. The reference variables are printed with the format (refVarName + #). The literals have the format (litPrefix + # + litPostfix).

Parameters:

  | out | The ostream to which this function will print this object.
  | refVarName | The prefix for the reference variable parameter.
  | litPrefix | The prefix for the literal parameter.
  | litPostfix | The postfix for the literal parameter.

Definition at line 296 of file CommandDispatcherEntry.cpp.

References getLiteral(), getReference(), and isLiteral().

Here is the call graph for this function:

virtual Parameter* Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::Parameter::duplicate | ( |  | ) | const`[inline, virtual]`

returns a copy of this object if the object can be copied or NULL if the object cannot be copied. This function returns NULL by default, overide this function to return something different.

Returns:
  a pointer to a copy of this object or NULL if it can't be copied.

Definition at line 377 of file CommandDispatcherEntry.h.

bool CommandDispatcherEntry::Parameter::operator== | ( | Parameter const & | other | ) | const

Returns true if the two parameters are the same.

Parameters:

  | other | the entry being compared to this entry

Returns:
  true if the two entries are the same.

Definition at line 311 of file CommandDispatcherEntry.cpp.

References getLiteral(), getReference(), and isLiteral().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/Command/CommandDispatcherEntry.h
- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/Command/CommandDispatcherEntry.cpp